Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ThreadLocal Class Reference

This class provides thread-local variables. More...

## Public Member Functions
| ThreadLocal ()
| Create new instance. More...
| ~ThreadLocal ()
| Destructor. More...
void | set (void *priv)
| Sets the value in the current thread's copy of this thread-local variable. More...
void * | get ()
| Returns the value in the current thread's copy of this thread-local variable. More...

## Detailed Description

This class provides thread-local variables.

This class is similar in function to java.lang.ThreadLocal.

## Constructor & Destructor Documentation

ThreadLocal | ( |  | ) |

Create new instance.

~ThreadLocal | ( |  | ) |

Destructor.

## Member Function Documentation

void* get | ( |  | ) |

Returns the value in the current thread's copy of this thread-local variable.

Returns
  value of thread-local variable for the current thread.

void set | ( | void * | priv | ) |

Sets the value in the current thread's copy of this thread-local variable.

Parameters

  priv | new value.

The documentation for this class was generated from the following file:

- threadlocal.h